%define debug_package %{nil}

Name:           ocamlweb
Version:        1.39
Release:        %mkrel 2
Summary:        Literate programming tool for OCaml
License:        LGPL
Group:          Development/OCaml
URL:            http://www.lri.fr/~filliatr/ocamlweb/
Source0:        http://www.lri.fr/~filliatr/ftp/ocamlweb/ocamlweb-%{version}.tar.gz
BuildRequires:  ocaml-compiler

Requires:           texlive
Requires(post):     texlive
Requires(postun):   texlive

%description
Literate programming, as defined by Knuth, means to combine program
code and documentation into one source document from which program
code and documentation can be extracted. The approach of ocamlweb is
that documentation is to be included in the program code as special
comments. The ocamlweb tool extracts from this the documented program
code as LaTeX document, while no special preprocessing is required to
compile the source files.

%prep
%setup -q

%build
./configure --prefix=%{buildroot}%{_prefix} --mandir=%{buildroot}%{_mandir}
make

%install
make install
rm -f %{buildroot}/usr/share/texmf/ls-R

%post 
%{_bindir}/texhash 2> /dev/null

%postun 
%{_bindir}/texhash 2> /dev/null

%files
%doc COPYING README CHANGES
%doc doc/ocamlweb-%{version}-man.{html,tex}
%{_bindir}/ocamlweb
%{_datadir}/texmf/tex/latex/misc/ocamlweb.sty
%{_mandir}/man1/ocamlweb.1*


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.39-2.mga6
+ Revision: 1056454
- Rebuild for fix in ocaml

* Thu Feb 18 2016 daviddavid <daviddavid> 1.39-1.mga6
+ Revision: 966375
- new version: 1.39

* Fri Feb 12 2016 umeabot <umeabot> 1.38-10.mga6
+ Revision: 956492
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.38-9.mga6
+ Revision: 893218
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.38-8.mga5
+ Revision: 743730
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.38-7.mga5
+ Revision: 683145
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.38-6.mga4
+ Revision: 541684
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 malo <malo> 1.38-5.mga4
+ Revision: 496339
- update install scripts

* Sun Jan 13 2013 umeabot <umeabot> 1.38-4.mga3
+ Revision: 361763
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.38-3.mga3
+ Revision: 301101
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.38-2.mga3
+ Revision: 300408
- new rpm group for ocaml

* Thu Jul 12 2012 malo <malo> 1.38-1.mga3
+ Revision: 270456
- update to 1.38

* Fri Apr 13 2012 blue_prawn <blue_prawn> 1.37-1.mga2
+ Revision: 230641
- imported package ocamlweb

